#ifndef MYTH_SCREENSAVER_XSS_H
#define MYTH_SCREENSAVER_XSS_H

#include "screensaver.h"

#include <qobject.h> 
#include <qtimer.h> 

class ScreenSaverXSSTimer : public QObject
{
    Q_OBJECT
public:
    ScreenSaverXSSTimer();
    ~ScreenSaverXSSTimer();
    void resetXSS(void);
    int timeoutInterval;
    QTimer *resetTimer;
        
private slots:
    void resetSlot();

};

class ScreenSaverXSS : public ScreenSaverControl
{
public:
    ScreenSaverXSS();
    ~ScreenSaverXSS();

    void Disable(void);
    void Restore(void);
    void Reset(void);

protected:
    class ScreenSaverXSSTimer *d;

};

#endif // MYTH_SCREENSAVER_XSS_H

